.header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 99;
  padding: 2.5rem 1.25rem 1.25rem;
  display: flex;
  gap: 3rem;
  @media (min-width: 768px) {
    padding-right: 2.5rem;
    padding-left: 2.5rem;
  }
  @media (min-width: 1024px) {
    padding-right: 3.75rem;
    padding-left: 3.75rem;
  }
  &::before {
    pointer-events: none;
    content: "";
    position: absolute;
    inset: 0;
    background-color: hsl(0deg 0% 0% / 1%);
    backdrop-filter: blur(4px);
  }
  
  & .header__logo {
    position: relative;
    width: 7.75rem;
    @media (min-width: 768px) {
      width: 12rem;
    }
    @media (min-width: 1200px) {
      width: 19.375rem;
    }
    & img {
      width: 100%;
    }
  }
  
   &.active {
     &::before {
       content: none;
     }
     & .header__logo {
       mix-blend-mode: difference;
     }
  }
}

.header.active .header-nav__trigger {
  mix-blend-mode: difference;
}

.header-nav__trigger {
  width: 3rem;
  height: 3rem;
  display: flex;
  cursor: pointer;
  position: relative;
  border-radius: 9999px;
  border: 1px solid hsl(from var(--snow) h s l / 40%);

  & .header-nav__trigger-toggle {
    top: 50%;
    left: 50%;
    transform-origin: center;
    transform: translate(-50%, -50%);
    border-radius: 1px;
    height: 2px;
    width: 1.5rem;
    display: block;
    background-color: var(--white);
    position: absolute;
    transition: all 150ms ease;

    &::before,
    &::after {
      content: "";
      top: 0;
      left: 0;
      border-radius: 1px;
      height: 2px;
      width: 1.5rem;
      display: block;
      background-color: var(--white);
      position: absolute;
      transition: all 150ms ease;
    }

    &::before {
      animation: toggler-top 800ms ease forwards;
    }

    &::after {
      animation: toggler-bottom 800ms ease forwards;
    }
  }

  &.active .header-nav__trigger-toggle {
    transition-delay: 200ms;
    transform: translate(-50%, -50%) rotate(135deg);

    &::before {
      animation: toggler-top-open 800ms ease forwards;
    }

    &::after {
      animation: toggler-bottom-open 800ms ease forwards;
    }
  }
}

.header-nav__content {
  position: fixed;
  top: 0;
  left: 0;
  padding-top: 10rem;
  height: 100%;
  width: 100%;
  background-color: var(--white);
  transition: all 400ms ease;
  overflow-y: auto;
  overflow-x: hidden;
  -webkit-overflow-scrolling: touch;
  z-index: -1;
  color: var(--ink);
}

@media screen and (min-width: 1200px) {
  .header-nav__content,
  .header-nav__trigger {
    display: none;
  }
}

/** Keyframes **/
@keyframes toggler-top-open {
  0% {
    transform: translateY(6px);
  }

  30% {
    transform: translateY(0);
  }

  to {
    transform: translateY(0);
  }
}

@keyframes toggler-bottom-open {
  0% {
    transform: translateY(-6px);
  }

  30% {
    transform: translateY(0);
  }

  to {
    transform: translateY(0) rotate(90deg);
  }
}

@keyframes toggler-bottom {
  0% {
    transform: translateY(0);
  }

  30% {
    transform: translateY(0);
  }

  to {
    transform: translateY(6px);
  }
}

@keyframes toggler-top {
  0% {
    transform: translateY(0) rotate(90deg);
  }

  30% {
    transform: translateY(0);
  }

  to {
    transform: translateY(-6px);
  }
}

/**
 * 開発時にLoading Spinnerで隠れないようにするためのスタイル
 */
.loading-spinner {
  display: none;
}